Groovy Documentation

## org.codehaus.groovy.tools.shell.commands
[Groovy] Class ShadowCommand

    java.lang.Object
      org.codehaus.groovy.tools.shell.CommandSupport
          org.codehaus.groovy.tools.shell.ComplexCommandSupport
              org.codehaus.groovy.tools.shell.commands.ShadowCommand

    class ShadowCommand
    extends ComplexCommandSupport

The 'shadow' command.

Authors:
  Jason Dillon

Version:
  \$Id\$

Field Summary

Fields inherited from class ComplexCommandSupport
defaultFunction, functions

Fields inherited from class CommandSupport
NEWLINE, io, log, messages, registry, shell

Property Summary
`java.lang.Object` | `do_debug`
`java.lang.Object` | `do_info`
`java.lang.Object` | `do_this`
`java.lang.Object` | `do_verbose`

Constructor Summary
`ShadowCommand(Shell shell)`

Method Summary

Methods inherited from class ComplexCommandSupport
createCompletors, execute, executeFunction, loadFunction

Methods inherited from class CommandSupport
alias, assertNoArguments, createCompletors, fail, fail, getBinding, getBuffer, getBuffers, getClassLoader, getCompletor, getDescription, getHelp, getHistory, getImports, getUsage, getVariables

Property Detail

### do_debug

    java.lang.Object do_debug

### do_info

    java.lang.Object do_info

### do_this

    java.lang.Object do_this

### do_verbose

    java.lang.Object do_verbose

Constructor Detail

### ShadowCommand

    ShadowCommand(Shell shell)

Groovy Documentation